/** This is drain.dbutils*/
$(function(){

	/* 数据库名字
	 * 数据库版本号
	 * 显示名字
	 * 数据库保存数据的大小（以字节为单位 )
	 * 回调函数（非必须)
	 */
	var dataBase  = openDatabase('YameiDB', '1.0', 'Yamei DB', 102400); // 全局数据库
	if(dataBase ) {
		dataBase.transaction(function (context) {
			context.executeSql('CREATE TABLE IF NOT EXISTS t_memb (hostId unique, utype,uname,pwd,rname,sex,token)');
		});
	}

	/** 保存用户信息
	 * @param hostId
	 * @param utype
	 * @param uname
	 * @param pwd
	 * @param rname
	 * @param sex
	 * @param token
	 */
	dbsave_mem=function(hostId,utype,uname,pwd,rname,sex,token){ // 保存当前登录用户
		dataBase.transaction(function (context) {
			context.executeSql("INSERT INTO t_memb (hostId unique, utype,uname,pwd,rname,sex,tokenme) VALUES " +
					"(" +hostId+", '"+utype+"','"+uname+"','"+pwd+"','"+rname+"','"+sex+"','"+token+"')'");
		});
	};
});